cURL
curl --request GET \
--url https://app.spotdx.com/api/v2/kits/{public_id}/ \
--header 'Authorization: <api-key>'import requests
url = "https://app.spotdx.com/api/v2/kits/{public_id}/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.spotdx.com/api/v2/kits/{public_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"kit_id": "SPOT123456",
"type": "example_lipid_kit",
"status": "delivered",
"events": [
{
"status": "awaiting_collection",
"created": "2023-01-01T04:30:11.222Z"
},
{
"status": "in_transit",
"created": "2023-01-05T04:30:11.222Z"
},
{
"status": "delivered",
"created": "2023-01-06T04:30:11.222Z"
},
{
"status": "registered",
"created": "2023-01-06T04:30:11.222Z"
},
],
"shipment_to_customer": {
"tracking_number": "9400123456789999876500",
"carrier": "usps",
"created": "2023-01-01T04:30:11.222Z"
},
"registered_to": {
"patient_id": "7563e8e2-7fbd-480c-9b8b-2070eda884bf",
"first_name": "Alice",
"last_name": "Smith",
"date_of_birth": "1990-01-01",
"sex": "F",
"email": "alice123@gmail.com",
"phone": "1234567890"
},
"sample": {
"sample_id": "SPOT654321",
"status": "awaiting_collection",
"events": [
{
"status": "awaiting_collection",
"created": "2023-01-01T04:30:11.222Z"
}
],
"type": "adx100",
"shipments": [
{
"tracking_number": "9400123456789999876500",
"carrier": "usps",
"created": "2023-01-01T04:30:11.222Z"
}
],
"panels": ["lipids_panel_complete"],
"reports": []
}
}
API Reference - Kits
Get kit by ID
Returns an individual kit with the given kit id.
GET
/
api
/
v2
/
kits
/
{public_id}
/
cURL
{
"kit_id": "SPOT123456",
"type": "example_lipid_kit",
"status": "delivered",
"events": [
{
"status": "awaiting_collection",
"created": "2023-01-01T04:30:11.222Z"
},
{
"status": "in_transit",
"created": "2023-01-05T04:30:11.222Z"
},
{
"status": "delivered",
"created": "2023-01-06T04:30:11.222Z"
},
{
"status": "registered",
"created": "2023-01-06T04:30:11.222Z"
},
],
"shipment_to_customer": {
"tracking_number": "9400123456789999876500",
"carrier": "usps",
"created": "2023-01-01T04:30:11.222Z"
},
"registered_to": {
"patient_id": "7563e8e2-7fbd-480c-9b8b-2070eda884bf",
"first_name": "Alice",
"last_name": "Smith",
"date_of_birth": "1990-01-01",
"sex": "F",
"email": "alice123@gmail.com",
"phone": "1234567890"
},
"sample": {
"sample_id": "SPOT654321",
"status": "awaiting_collection",
"events": [
{
"status": "awaiting_collection",
"created": "2023-01-01T04:30:11.222Z"
}
],
"type": "adx100",
"shipments": [
{
"tracking_number": "9400123456789999876500",
"carrier": "usps",
"created": "2023-01-01T04:30:11.222Z"
}
],
"panels": ["lipids_panel_complete"],
"reports": []
}
}
Authorizations
Token-based authentication with required prefix "Token"
Path Parameters
ID of the kit to retrieve.
Response
Success
The unique identifier of the kit.
Example:
"SPOT123456"
The kit's type
Example:
"health_kit_1"
The new status of the kit.
Available options:
preparing, in_transit, delivered, delivery_exception, registered, canceled Example:
"preparing"
A list of all the events that have occurred for this kit.
Show child attributes
Show child attributes
Example:
[
{
"status": "preparing",
"created": "2023-01-01T04:30:11.222Z"
},
{
"status": "in_transit",
"created": "2023-01-05T04:30:11.222Z"
},
{
"status": "delivered",
"created": "2023-01-06T04:30:11.222Z"
},
{
"status": "registered",
"created": "2023-01-07T04:30:11.222Z"
}
]
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I